cURL
curl --request GET \ --url https://api.dev.monei.cc/api/v1/offramp/ledger/history \ --header 'X-API-KEY: <api-key>'
{ "statusCode": 200, "message": "Transactions retrieved successfully", "data": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "internalReference": "OFF-A1B2C3D4", "provider": "monirates", "providerTransactionId": "68ee3a94c05777e37c10b3c1", "status": "processing", "cryptoAmount": 100, "fiatAmount": 145800, "exchangeRate": 1458, "fromCurrency": "USDT", "toCurrency": "NGN", "createdAt": "2025-10-14T11:57:08.122Z", "updatedAt": "2025-10-14T11:57:09.065Z", "expiresAt": "2025-10-14T12:27:08.122Z" } ], "meta": { "total": 15, "page": 1, "limit": 10, "totalPages": 2 } }
Documentation IndexFetch the complete documentation index at: https://docs.monei.cc/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
Use this file to discover all available pages before exploring further.
HTTP status code
200
Response message
"Transactions retrieved successfully"
List of transactions
Show child attributes
Pagination metadata
{ "total": 15, "page": 1, "limit": 10, "totalPages": 2}